# List all webhooks logs List all webhooks logs on this organization. Endpoint: GET /webhookslog Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `type` (string) If set, the items will be filtered with the specified webhook type. Enum: "VerificationCompleted", "ExportCompleted", "LicenseExpiresSoon", "LicenseExpired", "LicenseChanged", "DatasetScanCompleted", "LicenseStatusChanged", "ProviderStatusChanged", "ProviderProfileImportCompleted", "CredentialingRequestChanged", "GenerateReport", "DatasetScanMatchesChanged", "NpdbUpdateRequestRejected" - `status` (string) If set, the items will be filtered with the specified webhook log status. Enum: "Triggered", "Completed", "Failed" - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `traceId` (string) If set, the items will be filtered with the specified webhook log trace id. - `before` (string) If set, the items will be filtered with timestamp value less the provided value. - `beforeInclusive` (boolean) If set to true, will include events created exactly at before date and time too. - `after` (string) If set, the items will be filtered with timestamp value more the provided value. - `afterInclusive` (boolean) If set to true, will include events created exactly at after date and time too. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Timestamp" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object,null) - `sort.Keys` (string) Enum: "Timestamp" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string,null) - `nextCursor` (string,null) - `nextOffset` (integer,null) - `pageSize` (integer) - `count` (integer) - `totalCount` (integer,null) - `items` (array,null) - `items.type` (string) The event type that should trigger this webhook. Enum: "VerificationCompleted", "ExportCompleted", "LicenseExpiresSoon", "LicenseExpired", "LicenseChanged", "DatasetScanCompleted", "LicenseStatusChanged", "ProviderStatusChanged", "ProviderProfileImportCompleted", "CredentialingRequestChanged", "GenerateReport", "DatasetScanMatchesChanged", "NpdbUpdateRequestRejected" - `items.url` (string) The URL we will make an HTTP POST request to when an event of type occurs. - `items.timestamp` (string) The timestamp when this webhook was created. - `items.status` (string) The status of this webhook. Could be one of the following: Triggered, Completed, or Failed Enum: "Triggered", "Completed", "Failed" - `items.attempt` (integer) The current attempt to call this webhook could be in the range from one to ten. Where ten is the max and last attempt. - `items.failureReason` (string) If set, the failure reason explaining why we could not call this webhook. - `items.payload` (string) If set, the payload of this webhook. Which is a serialized object as JSON. - `items.responseStatus` (integer) If set, the response HTTP status code of this webhook. e.g: 2xx, 4xx, 5xx - `items.responseTime` (integer) If set, the response time it took to complete this webhook. - `items.responsePayload` (string) If set, the response HTTP payload of this webhook. As a string - `items.responseHeaders` (any) If set, the response HTTP headers associated with this webhook. - `items.id` (string) Unique identifier associated with this webhook. - `items.traceId` (string) Trace identifier associated with this webhook. This identifier is unique per webhook we trigger, but each attempt to call the webhook shares the same identifier. - `items.webhookId` (string) - `sortedBy` (string,null) Enum: "Timestamp" - `sortDirection` (string,null) Enum: "Asc", "Desc" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields